#!/usr/bin/env/python3
import os
import sys

from vpneverywhere.port_scanner import Scanner


def main():
    if len(sys.argv) != 2:
        print('Usage: %s HOST' % os.path.basename(sys.argv[0]))
        sys.exit(1)

    host = sys.argv[1]
    scanner = Scanner(host)
    for (protocol, port) in scanner.scan(n_threads=8):
        print('You could try: %s %5d' % (protocol.upper(), port))


if __name__ == '__main__':
    main()
